org.bouncycastle.pqc.crypto.xmss

## Class XMSSMTSignature

- java.lang.Object
- - org.bouncycastle.pqc.crypto.xmss.XMSSMTSignature

- All Implemented Interfaces:
    XMSSStoreableObjectInterface, Encodable

      public final class XMSSMTSignature
      extends java.lang.Object
      implements XMSSStoreableObjectInterface, Encodable

  XMSS^MT Signature.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XMSSMTSignature.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Return a byte array representing the implementing object.
    `long` | `getIndex()`
    `byte[]` | `getRandom()`
    `java.util.List<XMSSReducedSignature>` | `getReducedSignatures()`
    `byte[]` | `toByteArray()` Create byte representation of object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Description copied from interface: `Encodable`
      Return a byte array representing the implementing object.
      Specified by:
        `getEncoded` in interface `Encodable`
      Returns:
        a byte array representing the encoding.
      Throws:
        `java.io.IOException` - if an issue arises generation the encoding.

    - #### toByteArray

          public byte[] toByteArray()

      Description copied from interface: `XMSSStoreableObjectInterface`
      Create byte representation of object.
      Specified by:
        `toByteArray` in interface `XMSSStoreableObjectInterface`
      Returns:
        Byte representation of object.

    - #### getIndex

          public long getIndex()

    - #### getRandom

          public byte[] getRandom()

    - #### getReducedSignatures

          public java.util.List<XMSSReducedSignature> getReducedSignatures()